module.exports = {
  renderFiles: ['package.json', 'README.md'],
  filters: {
    commitValid: [
      '.husky'
    ]
  },
  prompts: {
    commitValid: {
      type: 'confirm',
      default: false,
      message: 'Add git commit valid to you project',
    },
    name: {
      type: 'string',
      required: true,
      message: 'Project name',
    },
    description: {
      type: 'string',
      required: false,
      message: 'Project description',
      default: 'A vue3 and typescript project',
    },
    author: {
      type: 'string',
      message: 'Author',
    },
  },
};